## org.eclipse.emf.mapping.ecore2ecore.presentation
Class Ecore2EcoreActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.eclipse.emf.mapping.ecore2ecore.presentation.Ecore2EcoreActionBarContributor

All Implemented Interfaces:
  IMenuListener, IEditorActionBarContributor, IPropertyListener

    public class Ecore2EcoreActionBarContributor

extends EditingDomainActionBarContributor

This is the action bar contributor for the Ecore2Ecore model editor.

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`Ecore2EcoreActionBarContributor()` This creates an instance of the contributor.

Method Summary
`void` `contributeToToolBar(IToolBarManager toolBarManager)` This adds Separators for editor additions to the tool bar.

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, addGlobalActions, contributeToMenu, contributeToStatusLine, createCopyAction, createCutAction, createDeleteAction, createPasteAction, createRedoAction, createUndoAction, deactivate, getActiveEditor, init, menuAboutToShow, propertyChanged, removeAllReferencesOnDelete, setActiveEditor, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ecore2EcoreActionBarContributor

    public Ecore2EcoreActionBarContributor()

  This creates an instance of the contributor.

Method Detail

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

  This adds Separators for editor additions to the tool bar.

  Overrides:
    `contributeToToolBar` in class `EditingDomainActionBarContributor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.